// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: command/security/CertificateUseEnumType.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace CertificateUseEnumType {

  /// <summary>Holder for reflection information generated from command/security/CertificateUseEnumType.proto</summary>
  public static partial class CertificateUseEnumTypeReflection {

    #region Descriptor
    /// <summary>File descriptor for command/security/CertificateUseEnumType.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static CertificateUseEnumTypeReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "Ci1jb21tYW5kL3NlY3VyaXR5L0NlcnRpZmljYXRlVXNlRW51bVR5cGUucHJv",
            "dG8SGWNlcnRpZmljYXRlX3VzZV9lbnVtX3R5cGUqWwoWQ2VydGlmaWNhdGVV",
            "c2VFbnVtVHlwZRIgChxDZW50cmFsU3lzdGVtUm9vdENlcnRpZmljYXRlEAAS",
            "HwobTWFudWZhY3R1cmVyUm9vdENlcnRpZmljYXRlEAFClwEKImNvbS5jb2Rp",
            "Ymx5Lm1vZGVsLmNvbW1hbmQuc2VjdXJpdHlCG0NlcnRpZmljYXRlVXNlRW51",
            "bVR5cGVQcm90b8oCIkRvbWFpbk1vZGVsXFByb3RvXENvbW1hbmRcU2VjdXJp",
            "dHniAi5Eb21haW5Nb2RlbFxQcm90b1xDb21tYW5kXFNlY3VyaXR5XEdQQk1l",
            "dGFkYXRhYgZwcm90bzM="));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { },
          new pbr::GeneratedClrTypeInfo(new[] {typeof(global::CertificateUseEnumType.CertificateUseEnumType), }, null, null));
    }
    #endregion

  }
  #region Enums
  public enum CertificateUseEnumType {
    [pbr::OriginalName("CentralSystemRootCertificate")] CentralSystemRootCertificate = 0,
    [pbr::OriginalName("ManufacturerRootCertificate")] ManufacturerRootCertificate = 1,
  }

  #endregion

}

#endregion Designer generated code
